import collapseInstance from "./collapse-i.js";
import {__ as cls, bs} from "../utils/lib.js";

export default function(_, bd, options){
    const { toggle, container, title } = options;
    const __ = (className, tagName)=> cls.call(_, className, tagName);

    let body = __('accordion-body').addChild(bd || '');
    let btd = 'accordion-btn-down';

    let collapse = __('accordion-collapse collapse').addChild(body);
    let toggler = __(['accordion-button', bs.btn], 'button').addChild(title || '');
    const item = __('accordion-item border-0');

    collapse.on('show.bs.collapse', () => toggler.addClass(btd))
    .on('hide.bs.collapse', () => toggler.removeClass(btd))

    const instance = collapseInstance(collapse, toggle, item, toggler);
    item.addChild([
        __('accordion-header', 'h2').addChild(toggler),
        collapse
    ]);
    item.appendTo(_(container).addClass('accordion'));

    return instance;
}