import {_boolean, _object, __ as cls, popUpInstances, bs, isElement} from "../utils/lib.js";

export default function(_, body, button){
    const __ = (className, tagName)=> cls.call(_, className, tagName);
    let footer = __(bs.btn, 'button').addChild('OK');
    if (typeof button === 'string')
        footer.refill(button);
    else if (isElement(button)) 
        footer = button;

    let mod = _.modal(body, {
        innerScroll: false,
        footer
    });
    mod.on('hidden', () => {
        popUpInstances.shift().drop();
        if (popUpInstances.length > 0)
            popUpInstances[0].show();
    });
    footer.on('click', mod.hide);
    if (popUpInstances.length == 0) {
        mod.show();
    }
    popUpInstances.push(mod);
}