import {__ as cls} from "../utils/lib.js";

export default (_, body, { header, footer }) => {
    const __ = (className, tagName)=> cls.call(_, className, tagName);
    const card = __('card');
    if (header)
        card.addChild(__('card-header').addChild(header))
    card.addChild(__('card-body').style({ whiteSpace: 'normal' }).addChild(body || ''))
    if (footer)
        card.addChild(__('card-footer').addChild(footer))
    return card;
}